IT: OTS (China) -0000 #478

v4.0: Logistics - Packing & Label - Step 1
07/08/2025 10:18 AM - Xihua Fan

Status: oo0 Start date: 07/22/2025
Priority: aa Due date: 08/15/2025
Assignee: Junyi Zhang % Done: 100%
Category: Estimated time: 100.00 hours
Target version: v4.0 Spent time: 0.00 hour
Description

Background

1. https://trello.com/c/ireiTayR/24-13-%E5%8C%85%E8%A3%85%E6%89%93%E5%8D%B0-packing-label

Task Details
¢ 1. Packing & Label
v4 coding standard:

1. Gitll[l
#xxx(redmine number): xxx(redmine title) - xxx(U000000)

2.0000
2.1: U00Public -> Protected -> Private
ﬁnz: 0000000sBx
3. MvcLOvanallil
3.1: v3nv4l000000000000 order.php, order_v3.php
3.2: system0000000000000user v3
- Note: frontll$this->userllv400000$this->customer, Dval0000$this->user
8.3: 000000van40000000new User V3
4. 0000
tDwig, is, css (js, css000000cssO00)

5.0000
EAVCL (LOenlcn)

6. 00
1. 000

/**

* XXX

*

* @copyright RedBlue-0TS 2024
* @version v4

*

*/

2.00000000 + DOODO

*

/

XXX

@param xxx S$xXXX
@param xxx S$xxXx
@return xxx

/
https://trello.com/c/ireiTayR/24-13-%E5%8C%85%E8%A3%85%E6%89%93%E5%8D%B0-packing-label

Output
® Report and Solution

Others

History

#1 - 07/17/2025 07:05 PM - Xihua Fan
- Due date changed from 07/25/2025 to 08/15/2025
- Start date changed from 07/08/2025 to 07/22/2025

#2 - 07/18/2025 05:34 PM - Junyi Zhang
Output(2025/08/18 - 2025/08/22) (2025/08/11 - 2025/08/15) (2025/08/04 - 2025/08/08),(2025/07/21 - 2025/07/22), (2025/07/18)

Functions:

1. IPacking & Labellllogictics100000000000menull]
- Cartons' Parameters
- Cartons' Locations
- Packing Rules
- Shipping cost calculator
- Packing & Label
2. Cartons' Location: 000000Iocation0000
3. Packing Rules: 00000000
- Support product
- Support option value
- Support product + option value
4. Packing module:
1. 00Trello:
https://trello.com/c/ireiTayR/24-13-%E5%8C%85%E 8%A3%85%E6%89%93%E5%8D%B0-packing-label#comment-68abea5c4de79e7e55
2e6037
2.0000 ([O0Trello)
3. 000Print labell(00Trello)
5. Mobilell 00Ul (D0Trellol] https://trello.com/clireiTayR#comment-691fd540fb19754d1d0ce341 )

Database: [ #440

#3 - 08/04/2025 11:00 AM - Junyi Zhang
- % Done changed from 0 to 10

#4 - 08/26/2025 06:52 PM - Junyi Zhang
- % Done changed from 10 to 50

#5 - 11/28/2025 02:41 PM - Xihua Fan
- Subject changed from v4.0: Logistics - Packing & Label to v4.0: Logistics - Packing & Label - Step 1

#6 - 11/28/2025 02:45 PM - Junyi Zhang
- Status changed from 000 to0010
- % Done changed from 50 to 100
